/* Футер */
.footer {
    color: var(--color-black);
    width: 100%;
    box-sizing: border-box;
    padding: 30px 60px 60px 60px;
}

/* Первый блок футера */
.footer-top {
    border-bottom: 1px solid #dedede;
    padding-bottom: 30px;
}

/* Контейнер */
.footer-container {
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

/* Левый блок (50%) */
.footer-left {
    width: 48%;
    min-width: 300px;
}

.footer-title {
    font-size: 35px;
    font-weight: 600;
    margin-bottom: 48px;
    color: var(--color-black);
}

.footer-button {
    background-color: var(--color-black);
    color: var(--color-white);
    padding: 20px 30px;
    font-size: 18px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-weight: 600;
    border: none;
    text-transform: uppercase;
}

.footer-button:hover {
    background-color: var(--color-black);
    color: var(--color-white);
}

/* Правый блок (50%) */
.footer-right {
    width: 48%;
    min-width: 300px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

/* Меню в три столбца */
.footer-columns {
    display: flex;
    margin-bottom: 40px;
    justify-content: space-between;
    width: 100%;
}

.footer-column {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 254px;
}

.footer-column-title {
    font-size: 27px;
    font-weight: 600;
    margin-bottom: 40px;
    color: var(--color-black);
}

.footer-column-link {
    color: var(--color-black);
    text-decoration: none;
    margin-bottom: 12px;
    font-size: 21px;
    transition: color 0.3s ease;
    position: relative;
    padding-bottom: 2px;
}

.footer-column-link:hover {
    color: #333;
}

.footer-column-link::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 1px;
    background-color: var(--color-black);
    transition: width 0.3s ease;
}

.footer-column-link:hover::after {
    width: 100%;
}

/* Иконки соцсетей */
.footer-social {
    display: flex;
    gap: 30px;
    margin-top: 30px;
}

.footer-social-icon {
    width: 21px;
    height: 21px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-black);
    transition: color 0.3s ease;
}

.footer-social-icon:hover {
    color: #666;
}

.footer-social-icon svg {
    width: 100%;
    height: 100%;
}

/* Второй блок футера */
.footer-bottom {
    padding-top: 30px;
}

.footer-bottom .footer-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 10px;
}

.footer-wrapper-column {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.footer-copyright {
    color: #595959;
    font-size: 16px;
}

.footer-h1 {
    h1 {
        color: #595959;
        font-size: 16px;
        font-weight: 400;
    }
}

.footer-bottom-links {
    display: flex;
    gap: 10px 20px;
    flex-wrap: wrap;
}

.footer-bottom-link {
    color: var(--color-primary-dark);
    text-decoration: none;
    font-size: 16px;
    transition: color 0.3s ease;
    white-space: nowrap;
}

.footer-bottom-link:hover {
    color: #333;
}

@media (max-width: 1440px) {
    .footer-bottom-links {
        flex-direction: column;
    }
}

/* Адаптивность */
@media (max-width: 1024px) {
    .footer-left,
    .footer-right {
        width: 100%;
    }
    
    .footer-left {
        margin-bottom: 40px;
    }
    
    .footer-right {
        align-items: flex-start;
    }
    
    .footer-columns {
        justify-content: flex-start;
    }
}

@media (max-width: 768px) {
    .footer {
        padding: 30px 20px;
    }
    
    .footer-columns {
        flex-direction: column;
        gap: 0;
        width: 100%;
    }
    
    .footer-column {
        width: 100%;
        margin-bottom: 0;
    }
    
    .footer-column-title {
        display: flex;
        align-items: center;
        justify-content: space-between;
        cursor: pointer;
        margin-bottom: 0;
        padding: 15px 0;
        font-size: 24px;
    }
    
    .footer-arrow {
        transition: transform 0.3s ease;
        width: 32px;
        height: 32px;
    }
    
    .footer-links-container {
        display: none;
        flex-direction: column;
        padding: 15px 0;
    }
    
    .footer-links-container.active {
        display: flex;
    }
    
    .footer-column-link {
        font-size: 18px;
        margin-bottom: 12px;
    }
    
    .footer-bottom .footer-container {
        flex-direction: column;
        gap: 5px;
        text-align: left;
        align-items: flex-start;
    }
    
    .footer-bottom-links {
        justify-content: flex-start;
        gap: 5px;
        flex-direction: column;
    }

    .footer-bottom-link {
        white-space: wrap;
    }
}

@media (max-width: 576px) {
    .footer {
        padding: 25px 20px;
    }
    
    .footer-title {
        font-size: 32px;
    }
    
    .footer-button {
        font-size: 14px;
        padding: 16px 24px;
    }
    
    .footer-column-title {
        font-size: 23px;
        padding: 12px 0;
        width: 100%;
    }
    
    .footer-arrow {
        width: 28px;
        height: 28px;
    }
    
    .footer-column-link {
        font-size: 16px;
        margin-bottom: 10px;
    }
    
    .footer-bottom-links {
        flex-direction: column;
        gap: 5px;
    }
    
    .footer-bottom-link {
        font-size: 12px;
    }

    .footer-copyright{
        font-size: 12px;
    }

    .footer-h1 {
        h1 {
            font-size: 12px;
        }
    }
    .footer-social-icon{
    width: 18px;
    height: 18px;
    }
}